[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLConnection.Transaction

Default transaction to be used for this connection

## Declaration

Source position: sqldb.pp line 175

`published property TSQLConnection.Transaction : TSQLTransaction read FTransaction write SetTransaction;`

## Description

Transaction should be set to a TSQLTransaction instance. It is set as the default transaction when a query is connected to the database, and is used in several metadata operations such as TSQLConnection.GetTableNames

## See also

TSQLTransaction |  | Transaction in which a TSQLQuery is handled

Documentation generated on: Feb 26 2014